Bug 857926 - Directory /var/log/mongodb is world readable
Directory /var/log/mongodb is world readable
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mongodb (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathaniel McCallum
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 10:01 EDT by Lukas Zapletal
Modified: 2014-01-19 13:25 EST (History)
3 users (show)

See Also:
Fixed In Version: mongodb-2.4.9-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-19 13:25:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-09-17 10:01:35 EDT
Description of problem:

/var/log/mongodb is world readable and may contain sensitive information

Also the files contained within are world readable.

Version-Release number of selected component (if applicable):

mongodb-2.0.2-8.fc16.x86_64
mongodb-2.0.6-2.fc17.x86_64

How reproducible:

drwxr-xr-x. 2 mongodb root 4096 Sep 16 03:22 /var/log/mongodb
Comment 1 Fedora End Of Life 2013-04-03 12:28:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Peter Robinson 2014-01-19 13:25:38 EST
Should be fixed in mongodb-2.4.9-1.fc21

Note You need to log in before you can comment on or make changes to this bug.